
  var Module = typeof Module !== 'undefined' ? Module : {};

  if (!Module.expectedDataFileDownloads) {
    Module.expectedDataFileDownloads = 0;
  }

  Module.expectedDataFileDownloads++;
  (function() {
    // When running as a pthread, FS operations are proxied to the main thread, so we don't need to
    // fetch the .data bundle on the worker
    if (Module['ENVIRONMENT_IS_PTHREAD']) return;
    var loadPackage = function(metadata) {

      var PACKAGE_PATH = '';
      if (typeof window === 'object') {
        PACKAGE_PATH = window['encodeURIComponent'](window.location.pathname.toString().substring(0, window.location.pathname.toString().lastIndexOf('/')) + '/');
      } else if (typeof process === 'undefined' && typeof location !== 'undefined') {
        // web worker
        PACKAGE_PATH = encodeURIComponent(location.pathname.toString().substring(0, location.pathname.toString().lastIndexOf('/')) + '/');
      }
      var PACKAGE_NAME = 'rnd_jue_puzznic.data';
      var REMOTE_PACKAGE_BASE = 'rnd_jue_puzznic.data';
      if (typeof Module['locateFilePackage'] === 'function' && !Module['locateFile']) {
        Module['locateFile'] = Module['locateFilePackage'];
        err('warning: you defined Module.locateFilePackage, that has been renamed to Module.locateFile (using your locateFilePackage for now)');
      }
      var REMOTE_PACKAGE_NAME = Module['locateFile'] ? Module['locateFile'](REMOTE_PACKAGE_BASE, '') : REMOTE_PACKAGE_BASE;

      var REMOTE_PACKAGE_SIZE = metadata['remote_package_size'];
      var PACKAGE_UUID = metadata['package_uuid'];

      function fetchRemotePackage(packageName, packageSize, callback, errback) {
        if (typeof process === 'object' && typeof process.versions === 'object' && typeof process.versions.node === 'string') {
          require('fs').readFile(packageName, function(err, contents) {
            if (err) {
              errback(err);
            } else {
              callback(contents.buffer);
            }
          });
          return;
        }
        var xhr = new XMLHttpRequest();
        xhr.open('GET', packageName, true);
        xhr.responseType = 'arraybuffer';
        xhr.onprogress = function(event) {
          var url = packageName;
          var size = packageSize;
          if (event.total) size = event.total;
          if (event.loaded) {
            if (!xhr.addedTotal) {
              xhr.addedTotal = true;
              if (!Module.dataFileDownloads) Module.dataFileDownloads = {};
              Module.dataFileDownloads[url] = {
                loaded: event.loaded,
                total: size
              };
            } else {
              Module.dataFileDownloads[url].loaded = event.loaded;
            }
            var total = 0;
            var loaded = 0;
            var num = 0;
            for (var download in Module.dataFileDownloads) {
            var data = Module.dataFileDownloads[download];
              total += data.total;
              loaded += data.loaded;
              num++;
            }
            total = Math.ceil(total * Module.expectedDataFileDownloads/num);
            if (Module['setStatus']) Module['setStatus']('Downloading data... (' + loaded + '/' + total + ')');
          } else if (!Module.dataFileDownloads) {
            if (Module['setStatus']) Module['setStatus']('Downloading data...');
          }
        };
        xhr.onerror = function(event) {
          throw new Error("NetworkError for: " + packageName);
        }
        xhr.onload = function(event) {
          if (xhr.status == 200 || xhr.status == 304 || xhr.status == 206 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            var packageData = xhr.response;
            callback(packageData);
          } else {
            throw new Error(xhr.statusText + " : " + xhr.responseURL);
          }
        };
        xhr.send(null);
      };

      function handleError(error) {
        console.error('package error:', error);
      };

      var fetchedCallback = null;
      var fetched = Module['getPreloadedPackage'] ? Module['getPreloadedPackage'](REMOTE_PACKAGE_NAME, REMOTE_PACKAGE_SIZE) : null;

      if (!fetched) fetchRemotePackage(REMOTE_PACKAGE_NAME, REMOTE_PACKAGE_SIZE, function(data) {
        if (fetchedCallback) {
          fetchedCallback(data);
          fetchedCallback = null;
        } else {
          fetched = data;
        }
      }, handleError);

    function runWithFS() {

      function assert(check, msg) {
        if (!check) throw msg + new Error().stack;
      }
Module['FS_createPath']("/", "conf", true, true);
Module['FS_createPath']("/", "docs", true, true);
Module['FS_createPath']("/docs", "credits", true, true);
Module['FS_createPath']("/docs", "elements", true, true);
Module['FS_createPath']("/docs", "program", true, true);
Module['FS_createPath']("/", "levels", true, true);
Module['FS_createPath']("/levels", "puzznic_by_click", true, true);
Module['FS_createPath']("/levels/puzznic_by_click", "tapes", true, true);
Module['FS_createPath']("/levels/puzznic_by_click", "sounds", true, true);
Module['FS_createPath']("/levels/puzznic_by_click", "graphics", true, true);
Module['FS_createPath']("/levels/puzznic_by_click/graphics", "anim", true, true);
Module['FS_createPath']("/levels/puzznic_by_click/graphics", "menu", true, true);
Module['FS_createPath']("/", "graphics", true, true);
Module['FS_createPath']("/graphics", "jue64", true, true);
Module['FS_createPath']("/graphics/jue64", "anim", true, true);
Module['FS_createPath']("/graphics/jue64", "menu", true, true);
Module['FS_createPath']("/", "sounds", true, true);
Module['FS_createPath']("/", "music", true, true);
Module['FS_createPath']("/music", "jue64", true, true);

      /** @constructor */
      function DataRequest(start, end, audio) {
        this.start = start;
        this.end = end;
        this.audio = audio;
      }
      DataRequest.prototype = {
        requests: {},
        open: function(mode, name) {
          this.name = name;
          this.requests[name] = this;
          Module['addRunDependency']('fp ' + this.name);
        },
        send: function() {},
        onload: function() {
          var byteArray = this.byteArray.subarray(this.start, this.end);
          this.finish(byteArray);
        },
        finish: function(byteArray) {
          var that = this;
          // canOwn this data in the filesystem, it is a slide into the heap that will never change
          Module['FS_createDataFile'](this.name, null, byteArray, true, true, true);
          Module['removeRunDependency']('fp ' + that.name);
          this.requests[this.name] = null;
        }
      };

      var files = metadata['files'];
      for (var i = 0; i < files.length; ++i) {
        new DataRequest(files[i]['start'], files[i]['end'], files[i]['audio'] || 0).open('GET', files[i]['filename']);
      }

      function processPackageData(arrayBuffer) {
        assert(arrayBuffer, 'Loading data file failed.');
        assert(arrayBuffer instanceof ArrayBuffer, 'bad input to processPackageData');
        var byteArray = new Uint8Array(arrayBuffer);
        var curr;
        // Reuse the bytearray from the XHR as the source for file reads.
          DataRequest.prototype.byteArray = byteArray;
          var files = metadata['files'];
          for (var i = 0; i < files.length; ++i) {
            DataRequest.prototype.requests[files[i].filename].onload();
          }          Module['removeRunDependency']('datafile_rnd_jue_puzznic.data');

      };
      Module['addRunDependency']('datafile_rnd_jue_puzznic.data');

      if (!Module.preloadResults) Module.preloadResults = {};

      Module.preloadResults[PACKAGE_NAME] = {fromCache: false};
      if (fetched) {
        processPackageData(fetched);
        fetched = null;
      } else {
        fetchedCallback = processPackageData;
      }

    }
    if (Module['calledRun']) {
      runWithFS();
    } else {
      if (!Module['preRun']) Module['preRun'] = [];
      Module["preRun"].push(runWithFS); // FS is not initialized yet, wait for it
    }

    }
    loadPackage({"files": [{"filename": "/conf/setup-android.conf", "start": 0, "end": 111}, {"filename": "/conf/setup-emscripten.conf", "start": 111, "end": 173}, {"filename": "/conf/setup.conf", "start": 173, "end": 2512}, {"filename": "/conf/gamecontrollerdb.txt", "start": 2512, "end": 50095}, {"filename": "/docs/credits/credits_1.txt", "start": 50095, "end": 50690}, {"filename": "/docs/elements/fallback.txt", "start": 50690, "end": 50724}, {"filename": "/docs/program/program_2.txt", "start": 50724, "end": 51336}, {"filename": "/docs/program/program_1.txt", "start": 51336, "end": 52014}, {"filename": "/docs/program/program_5.txt", "start": 52014, "end": 52772}, {"filename": "/docs/program/program_3.txt", "start": 52772, "end": 53487}, {"filename": "/docs/program/program_4.txt", "start": 53487, "end": 54308}, {"filename": "/levels/puzznic_by_click/064.level", "start": 54308, "end": 55109}, {"filename": "/levels/puzznic_by_click/049.level", "start": 55109, "end": 55695}, {"filename": "/levels/puzznic_by_click/054.level", "start": 55695, "end": 56273}, {"filename": "/levels/puzznic_by_click/023.level", "start": 56273, "end": 56878}, {"filename": "/levels/puzznic_by_click/015.level", "start": 56878, "end": 57487}, {"filename": "/levels/puzznic_by_click/092.level", "start": 57487, "end": 59383}, {"filename": "/levels/puzznic_by_click/069.level", "start": 59383, "end": 60002}, {"filename": "/levels/puzznic_by_click/038.level", "start": 60002, "end": 60588}, {"filename": "/levels/puzznic_by_click/030.level", "start": 60588, "end": 61193}, {"filename": "/levels/puzznic_by_click/093.level", "start": 61193, "end": 63089}, {"filename": "/levels/puzznic_by_click/074.level", "start": 63089, "end": 64985}, {"filename": "/levels/puzznic_by_click/031.level", "start": 64985, "end": 65563}, {"filename": "/levels/puzznic_by_click/040.level", "start": 65563, "end": 66149}, {"filename": "/levels/puzznic_by_click/008.level", "start": 66149, "end": 66748}, {"filename": "/levels/puzznic_by_click/041.level", "start": 66748, "end": 67334}, {"filename": "/levels/puzznic_by_click/019.level", "start": 67334, "end": 67931}, {"filename": "/levels/puzznic_by_click/010.level", "start": 67931, "end": 68536}, {"filename": "/levels/puzznic_by_click/003.level", "start": 68536, "end": 69238}, {"filename": "/levels/puzznic_by_click/024.level", "start": 69238, "end": 69835}, {"filename": "/levels/puzznic_by_click/048.level", "start": 69835, "end": 70421}, {"filename": "/levels/puzznic_by_click/021.level", "start": 70421, "end": 71038}, {"filename": "/levels/puzznic_by_click/047.level", "start": 71038, "end": 71624}, {"filename": "/levels/puzznic_by_click/055.level", "start": 71624, "end": 72210}, {"filename": "/levels/puzznic_by_click/065.level", "start": 72210, "end": 72792}, {"filename": "/levels/puzznic_by_click/044.level", "start": 72792, "end": 73364}, {"filename": "/levels/puzznic_by_click/025.level", "start": 73364, "end": 73961}, {"filename": "/levels/puzznic_by_click/012.level", "start": 73961, "end": 74556}, {"filename": "/levels/puzznic_by_click/014.level", "start": 74556, "end": 75153}, {"filename": "/levels/puzznic_by_click/035.level", "start": 75153, "end": 75731}, {"filename": "/levels/puzznic_by_click/081.level", "start": 75731, "end": 95247}, {"filename": "/levels/puzznic_by_click/004.level", "start": 95247, "end": 95976}, {"filename": "/levels/puzznic_by_click/099.level", "start": 95976, "end": 97872}, {"filename": "/levels/puzznic_by_click/027.level", "start": 97872, "end": 98477}, {"filename": "/levels/puzznic_by_click/078.level", "start": 98477, "end": 100373}, {"filename": "/levels/puzznic_by_click/071.level", "start": 100373, "end": 100996}, {"filename": "/levels/puzznic_by_click/034.level", "start": 100996, "end": 101574}, {"filename": "/levels/puzznic_by_click/089.level", "start": 101574, "end": 103470}, {"filename": "/levels/puzznic_by_click/070.level", "start": 103470, "end": 104089}, {"filename": "/levels/puzznic_by_click/100.level", "start": 104089, "end": 105985}, {"filename": "/levels/puzznic_by_click/091.level", "start": 105985, "end": 107881}, {"filename": "/levels/puzznic_by_click/059.level", "start": 107881, "end": 108467}, {"filename": "/levels/puzznic_by_click/051.level", "start": 108467, "end": 109053}, {"filename": "/levels/puzznic_by_click/013.level", "start": 109053, "end": 109658}, {"filename": "/levels/puzznic_by_click/057.level", "start": 109658, "end": 110244}, {"filename": "/levels/puzznic_by_click/076.level", "start": 110244, "end": 112140}, {"filename": "/levels/puzznic_by_click/002.level", "start": 112140, "end": 112880}, {"filename": "/levels/puzznic_by_click/072.level", "start": 112880, "end": 113503}, {"filename": "/levels/puzznic_by_click/088.level", "start": 113503, "end": 115399}, {"filename": "/levels/puzznic_by_click/029.level", "start": 115399, "end": 116036}, {"filename": "/levels/puzznic_by_click/080.level", "start": 116036, "end": 117932}, {"filename": "/levels/puzznic_by_click/060.level", "start": 117932, "end": 118518}, {"filename": "/levels/puzznic_by_click/082.level", "start": 118518, "end": 120414}, {"filename": "/levels/puzznic_by_click/083.level", "start": 120414, "end": 122310}, {"filename": "/levels/puzznic_by_click/043.level", "start": 122310, "end": 122874}, {"filename": "/levels/puzznic_by_click/046.level", "start": 122874, "end": 123450}, {"filename": "/levels/puzznic_by_click/094.level", "start": 123450, "end": 125346}, {"filename": "/levels/puzznic_by_click/036.level", "start": 125346, "end": 125932}, {"filename": "/levels/puzznic_by_click/033.level", "start": 125932, "end": 126518}, {"filename": "/levels/puzznic_by_click/052.level", "start": 126518, "end": 127096}, {"filename": "/levels/puzznic_by_click/000.level", "start": 127096, "end": 145311}, {"filename": "/levels/puzznic_by_click/098.level", "start": 145311, "end": 147207}, {"filename": "/levels/puzznic_by_click/template.level", "start": 147207, "end": 166724}, {"filename": "/levels/puzznic_by_click/018.level", "start": 166724, "end": 167329}, {"filename": "/levels/puzznic_by_click/028.level", "start": 167329, "end": 167930}, {"filename": "/levels/puzznic_by_click/032.level", "start": 167930, "end": 168508}, {"filename": "/levels/puzznic_by_click/095.level", "start": 168508, "end": 170404}, {"filename": "/levels/puzznic_by_click/039.level", "start": 170404, "end": 170990}, {"filename": "/levels/puzznic_by_click/020.level", "start": 170990, "end": 171595}, {"filename": "/levels/puzznic_by_click/037.level", "start": 171595, "end": 172173}, {"filename": "/levels/puzznic_by_click/007.level", "start": 172173, "end": 172776}, {"filename": "/levels/puzznic_by_click/067.level", "start": 172776, "end": 173395}, {"filename": "/levels/puzznic_by_click/001.level", "start": 173395, "end": 192912}, {"filename": "/levels/puzznic_by_click/005.level", "start": 192912, "end": 193716}, {"filename": "/levels/puzznic_by_click/053.level", "start": 193716, "end": 194294}, {"filename": "/levels/puzznic_by_click/056.level", "start": 194294, "end": 194878}, {"filename": "/levels/puzznic_by_click/090.level", "start": 194878, "end": 196774}, {"filename": "/levels/puzznic_by_click/061.level", "start": 196774, "end": 197363}, {"filename": "/levels/puzznic_by_click/022.level", "start": 197363, "end": 197968}, {"filename": "/levels/puzznic_by_click/062.level", "start": 197968, "end": 198557}, {"filename": "/levels/puzznic_by_click/058.level", "start": 198557, "end": 199143}, {"filename": "/levels/puzznic_by_click/045.level", "start": 199143, "end": 199715}, {"filename": "/levels/puzznic_by_click/levelinfo.conf", "start": 199715, "end": 200147}, {"filename": "/levels/puzznic_by_click/085.level", "start": 200147, "end": 202043}, {"filename": "/levels/puzznic_by_click/073.level", "start": 202043, "end": 203939}, {"filename": "/levels/puzznic_by_click/editorsetup.conf", "start": 203939, "end": 208753}, {"filename": "/levels/puzznic_by_click/016.level", "start": 208753, "end": 209358}, {"filename": "/levels/puzznic_by_click/075.level", "start": 209358, "end": 211254}, {"filename": "/levels/puzznic_by_click/042.level", "start": 211254, "end": 211840}, {"filename": "/levels/puzznic_by_click/068.level", "start": 211840, "end": 212459}, {"filename": "/levels/puzznic_by_click/graphicsinfo.conf", "start": 212459, "end": 266088}, {"filename": "/levels/puzznic_by_click/084.level", "start": 266088, "end": 267984}, {"filename": "/levels/puzznic_by_click/006.level", "start": 267984, "end": 268581}, {"filename": "/levels/puzznic_by_click/097.level", "start": 268581, "end": 270477}, {"filename": "/levels/puzznic_by_click/086.level", "start": 270477, "end": 289977}, {"filename": "/levels/puzznic_by_click/050.level", "start": 289977, "end": 290563}, {"filename": "/levels/puzznic_by_click/009.level", "start": 290563, "end": 291168}, {"filename": "/levels/puzznic_by_click/077.level", "start": 291168, "end": 293064}, {"filename": "/levels/puzznic_by_click/063.level", "start": 293064, "end": 293650}, {"filename": "/levels/puzznic_by_click/026.level", "start": 293650, "end": 294228}, {"filename": "/levels/puzznic_by_click/066.level", "start": 294228, "end": 294812}, {"filename": "/levels/puzznic_by_click/017.level", "start": 294812, "end": 295417}, {"filename": "/levels/puzznic_by_click/011.level", "start": 295417, "end": 296029}, {"filename": "/levels/puzznic_by_click/079.level", "start": 296029, "end": 297925}, {"filename": "/levels/puzznic_by_click/087.level", "start": 297925, "end": 299821}, {"filename": "/levels/puzznic_by_click/096.level", "start": 299821, "end": 301717}, {"filename": "/levels/puzznic_by_click/tapes/063.tape", "start": 301717, "end": 303626}, {"filename": "/levels/puzznic_by_click/tapes/065.tape", "start": 303626, "end": 304930}, {"filename": "/levels/puzznic_by_click/tapes/056.tape", "start": 304930, "end": 306799}, {"filename": "/levels/puzznic_by_click/tapes/004.tape", "start": 306799, "end": 307308}, {"filename": "/levels/puzznic_by_click/tapes/013.tape", "start": 307308, "end": 308507}, {"filename": "/levels/puzznic_by_click/tapes/016.tape", "start": 308507, "end": 309661}, {"filename": "/levels/puzznic_by_click/tapes/079.tape", "start": 309661, "end": 310710}, {"filename": "/levels/puzznic_by_click/tapes/072.tape", "start": 310710, "end": 312189}, {"filename": "/levels/puzznic_by_click/tapes/086.tape", "start": 312189, "end": 314828}, {"filename": "/levels/puzznic_by_click/tapes/027.tape", "start": 314828, "end": 315832}, {"filename": "/levels/puzznic_by_click/tapes/069.tape", "start": 315832, "end": 316571}, {"filename": "/levels/puzznic_by_click/tapes/041.tape", "start": 316571, "end": 317955}, {"filename": "/levels/puzznic_by_click/tapes/090.tape", "start": 317955, "end": 320909}, {"filename": "/levels/puzznic_by_click/tapes/082.tape", "start": 320909, "end": 322043}, {"filename": "/levels/puzznic_by_click/tapes/040.tape", "start": 322043, "end": 322932}, {"filename": "/levels/puzznic_by_click/tapes/064.tape", "start": 322932, "end": 323731}, {"filename": "/levels/puzznic_by_click/tapes/014.tape", "start": 323731, "end": 325055}, {"filename": "/levels/puzznic_by_click/tapes/006.tape", "start": 325055, "end": 325759}, {"filename": "/levels/puzznic_by_click/tapes/050.tape", "start": 325759, "end": 328738}, {"filename": "/levels/puzznic_by_click/tapes/049.tape", "start": 328738, "end": 330097}, {"filename": "/levels/puzznic_by_click/tapes/044.tape", "start": 330097, "end": 330591}, {"filename": "/levels/puzznic_by_click/tapes/007.tape", "start": 330591, "end": 332245}, {"filename": "/levels/puzznic_by_click/tapes/076.tape", "start": 332245, "end": 333634}, {"filename": "/levels/puzznic_by_click/tapes/002.tape", "start": 333634, "end": 334578}, {"filename": "/levels/puzznic_by_click/tapes/100.tape", "start": 334578, "end": 335887}, {"filename": "/levels/puzznic_by_click/tapes/075.tape", "start": 335887, "end": 337556}, {"filename": "/levels/puzznic_by_click/tapes/011.tape", "start": 337556, "end": 339625}, {"filename": "/levels/puzznic_by_click/tapes/038.tape", "start": 339625, "end": 341299}, {"filename": "/levels/puzznic_by_click/tapes/083.tape", "start": 341299, "end": 342768}, {"filename": "/levels/puzznic_by_click/tapes/020.tape", "start": 342768, "end": 343762}, {"filename": "/levels/puzznic_by_click/tapes/021.tape", "start": 343762, "end": 345301}, {"filename": "/levels/puzznic_by_click/tapes/068.tape", "start": 345301, "end": 346935}, {"filename": "/levels/puzznic_by_click/tapes/043.tape", "start": 346935, "end": 348454}, {"filename": "/levels/puzznic_by_click/tapes/051.tape", "start": 348454, "end": 350128}, {"filename": "/levels/puzznic_by_click/tapes/084.tape", "start": 350128, "end": 351592}, {"filename": "/levels/puzznic_by_click/tapes/066.tape", "start": 351592, "end": 352281}, {"filename": "/levels/puzznic_by_click/tapes/045.tape", "start": 352281, "end": 353485}, {"filename": "/levels/puzznic_by_click/tapes/070.tape", "start": 353485, "end": 356054}, {"filename": "/levels/puzznic_by_click/tapes/057.tape", "start": 356054, "end": 356728}, {"filename": "/levels/puzznic_by_click/tapes/092.tape", "start": 356728, "end": 358712}, {"filename": "/levels/puzznic_by_click/tapes/024.tape", "start": 358712, "end": 359416}, {"filename": "/levels/puzznic_by_click/tapes/009.tape", "start": 359416, "end": 359690}, {"filename": "/levels/puzznic_by_click/tapes/003.tape", "start": 359690, "end": 360549}, {"filename": "/levels/puzznic_by_click/tapes/091.tape", "start": 360549, "end": 363203}, {"filename": "/levels/puzznic_by_click/tapes/031.tape", "start": 363203, "end": 363807}, {"filename": "/levels/puzznic_by_click/tapes/018.tape", "start": 363807, "end": 364476}, {"filename": "/levels/puzznic_by_click/tapes/023.tape", "start": 364476, "end": 365055}, {"filename": "/levels/puzznic_by_click/tapes/015.tape", "start": 365055, "end": 365659}, {"filename": "/levels/puzznic_by_click/tapes/095.tape", "start": 365659, "end": 367743}, {"filename": "/levels/puzznic_by_click/tapes/032.tape", "start": 367743, "end": 368837}, {"filename": "/levels/puzznic_by_click/tapes/030.tape", "start": 368837, "end": 369801}, {"filename": "/levels/puzznic_by_click/tapes/077.tape", "start": 369801, "end": 372965}, {"filename": "/levels/puzznic_by_click/tapes/071.tape", "start": 372965, "end": 374064}, {"filename": "/levels/puzznic_by_click/tapes/058.tape", "start": 374064, "end": 375673}, {"filename": "/levels/puzznic_by_click/tapes/054.tape", "start": 375673, "end": 376722}, {"filename": "/levels/puzznic_by_click/tapes/010.tape", "start": 376722, "end": 377921}, {"filename": "/levels/puzznic_by_click/tapes/026.tape", "start": 377921, "end": 379535}, {"filename": "/levels/puzznic_by_click/tapes/089.tape", "start": 379535, "end": 382259}, {"filename": "/levels/puzznic_by_click/tapes/081.tape", "start": 382259, "end": 384798}, {"filename": "/levels/puzznic_by_click/tapes/073.tape", "start": 384798, "end": 386782}, {"filename": "/levels/puzznic_by_click/tapes/087.tape", "start": 386782, "end": 389106}, {"filename": "/levels/puzznic_by_click/tapes/053.tape", "start": 389106, "end": 391020}, {"filename": "/levels/puzznic_by_click/tapes/025.tape", "start": 391020, "end": 391594}, {"filename": "/levels/puzznic_by_click/tapes/052.tape", "start": 391594, "end": 392463}, {"filename": "/levels/puzznic_by_click/tapes/028.tape", "start": 392463, "end": 394737}, {"filename": "/levels/puzznic_by_click/tapes/046.tape", "start": 394737, "end": 395716}, {"filename": "/levels/puzznic_by_click/tapes/036.tape", "start": 395716, "end": 396455}, {"filename": "/levels/puzznic_by_click/tapes/061.tape", "start": 396455, "end": 397514}, {"filename": "/levels/puzznic_by_click/tapes/012.tape", "start": 397514, "end": 398668}, {"filename": "/levels/puzznic_by_click/tapes/074.tape", "start": 398668, "end": 400582}, {"filename": "/levels/puzznic_by_click/tapes/029.tape", "start": 400582, "end": 402991}, {"filename": "/levels/puzznic_by_click/tapes/099.tape", "start": 402991, "end": 405735}, {"filename": "/levels/puzznic_by_click/tapes/096.tape", "start": 405735, "end": 406759}, {"filename": "/levels/puzznic_by_click/tapes/094.tape", "start": 406759, "end": 408383}, {"filename": "/levels/puzznic_by_click/tapes/019.tape", "start": 408383, "end": 409822}, {"filename": "/levels/puzznic_by_click/tapes/080.tape", "start": 409822, "end": 411351}, {"filename": "/levels/puzznic_by_click/tapes/067.tape", "start": 411351, "end": 412535}, {"filename": "/levels/puzznic_by_click/tapes/085.tape", "start": 412535, "end": 413854}, {"filename": "/levels/puzznic_by_click/tapes/008.tape", "start": 413854, "end": 414538}, {"filename": "/levels/puzznic_by_click/tapes/055.tape", "start": 414538, "end": 415857}, {"filename": "/levels/puzznic_by_click/tapes/048.tape", "start": 415857, "end": 417501}, {"filename": "/levels/puzznic_by_click/tapes/078.tape", "start": 417501, "end": 418715}, {"filename": "/levels/puzznic_by_click/tapes/001.tape", "start": 418715, "end": 419064}, {"filename": "/levels/puzznic_by_click/tapes/005.tape", "start": 419064, "end": 420338}, {"filename": "/levels/puzznic_by_click/tapes/042.tape", "start": 420338, "end": 421087}, {"filename": "/levels/puzznic_by_click/tapes/022.tape", "start": 421087, "end": 421561}, {"filename": "/levels/puzznic_by_click/tapes/047.tape", "start": 421561, "end": 422215}, {"filename": "/levels/puzznic_by_click/tapes/039.tape", "start": 422215, "end": 422704}, {"filename": "/levels/puzznic_by_click/tapes/017.tape", "start": 422704, "end": 423363}, {"filename": "/levels/puzznic_by_click/tapes/097.tape", "start": 423363, "end": 425292}, {"filename": "/levels/puzznic_by_click/tapes/059.tape", "start": 425292, "end": 427221}, {"filename": "/levels/puzznic_by_click/tapes/035.tape", "start": 427221, "end": 428975}, {"filename": "/levels/puzznic_by_click/tapes/034.tape", "start": 428975, "end": 430419}, {"filename": "/levels/puzznic_by_click/tapes/037.tape", "start": 430419, "end": 431658}, {"filename": "/levels/puzznic_by_click/tapes/060.tape", "start": 431658, "end": 433542}, {"filename": "/levels/puzznic_by_click/tapes/098.tape", "start": 433542, "end": 436161}, {"filename": "/levels/puzznic_by_click/tapes/088.tape", "start": 436161, "end": 438035}, {"filename": "/levels/puzznic_by_click/tapes/033.tape", "start": 438035, "end": 439324}, {"filename": "/levels/puzznic_by_click/tapes/093.tape", "start": 439324, "end": 441303}, {"filename": "/levels/puzznic_by_click/tapes/062.tape", "start": 441303, "end": 442282}, {"filename": "/levels/puzznic_by_click/sounds/base.wav", "start": 442282, "end": 444402, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/timeorb.wav", "start": 444402, "end": 499288, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/imp2.wav", "start": 499288, "end": 502575, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/bugmove.wav", "start": 502575, "end": 527775, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/smelting.wav", "start": 527775, "end": 562311, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/push2.wav", "start": 562311, "end": 585505, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/loose.wav", "start": 585505, "end": 660189, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/imp4.wav", "start": 660189, "end": 663770, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/pushbomb.wav", "start": 663770, "end": 672800, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/acid.wav", "start": 672800, "end": 698422, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/tikbomb.wav", "start": 698422, "end": 712170, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/applause.wav", "start": 712170, "end": 1219596, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/soundsinfo.conf", "start": 1219596, "end": 1226681}, {"filename": "/levels/puzznic_by_click/sounds/telefon.wav", "start": 1226681, "end": 1280997, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/bdimp.wav", "start": 1280997, "end": 1289921, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/stimpact.wav", "start": 1289921, "end": 1300437, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/nutcrack.wav", "start": 1300437, "end": 1333364, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/but_rel.wav", "start": 1333364, "end": 1345584, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/balloon.wav", "start": 1345584, "end": 1354338, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/push4.wav", "start": 1354338, "end": 1358515, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/but_pressed.wav", "start": 1358515, "end": 1363725, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/klick.wav", "start": 1363725, "end": 1369113, "audio": 1}, {"filename": "/levels/puzznic_by_click/sounds/push.wav", "start": 1369113, "end": 1374715, "audio": 1}, {"filename": "/levels/puzznic_by_click/graphics/02_menu.conf", "start": 1374715, "end": 1391032}, {"filename": "/levels/puzznic_by_click/graphics/editor_32sp.png", "start": 1391032, "end": 1393416}, {"filename": "/levels/puzznic_by_click/graphics/puzalpha.png", "start": 1393416, "end": 1398865}, {"filename": "/levels/puzznic_by_click/graphics/puzset_1.png", "start": 1398865, "end": 1554616}, {"filename": "/levels/puzznic_by_click/graphics/puzz_done.png", "start": 1554616, "end": 1887037}, {"filename": "/levels/puzznic_by_click/graphics/03_anim.conf", "start": 1887037, "end": 1899294}, {"filename": "/levels/puzznic_by_click/graphics/puzz2.png", "start": 1899294, "end": 2621363}, {"filename": "/levels/puzznic_by_click/graphics/back.png", "start": 2621363, "end": 3680836}, {"filename": "/levels/puzznic_by_click/graphics/puzz_env.png", "start": 3680836, "end": 3715768}, {"filename": "/levels/puzznic_by_click/graphics/puzz1.png", "start": 3715768, "end": 4384514}, {"filename": "/levels/puzznic_by_click/graphics/graphicsinfo.conf", "start": 4384514, "end": 4384873}, {"filename": "/levels/puzznic_by_click/graphics/01_game.conf", "start": 4384873, "end": 4429666}, {"filename": "/levels/puzznic_by_click/graphics/anim/pl_mask_puz.png", "start": 4429666, "end": 4581429}, {"filename": "/levels/puzznic_by_click/graphics/menu/backpanel_puz.png", "start": 4581429, "end": 4618293}, {"filename": "/levels/puzznic_by_click/graphics/menu/panelglas1.png", "start": 4618293, "end": 4622041}, {"filename": "/levels/puzznic_by_click/graphics/menu/panelglas3.png", "start": 4622041, "end": 4625954}, {"filename": "/levels/puzznic_by_click/graphics/menu/door_puz.png", "start": 4625954, "end": 4747599}, {"filename": "/levels/puzznic_by_click/graphics/menu/puzz_initial.png", "start": 4747599, "end": 4781458}, {"filename": "/graphics/icon_large.png", "start": 4781458, "end": 4797536}, {"filename": "/graphics/fallback.png", "start": 4797536, "end": 4801228}, {"filename": "/graphics/icon.png", "start": 4801228, "end": 4806076}, {"filename": "/graphics/jue64/02_menu.conf", "start": 4806076, "end": 4945699}, {"filename": "/graphics/jue64/touch.png", "start": 4945699, "end": 4953609}, {"filename": "/graphics/jue64/03_anim.conf", "start": 4953609, "end": 4982733}, {"filename": "/graphics/jue64/04_unused.conf", "start": 4982733, "end": 4984912}, {"filename": "/graphics/jue64/editor_32.png", "start": 4984912, "end": 5044934}, {"filename": "/graphics/jue64/04_touch.conf", "start": 5044934, "end": 5048948}, {"filename": "/graphics/jue64/graphicsinfo.conf", "start": 5048948, "end": 5050934}, {"filename": "/graphics/jue64/01_game.conf", "start": 5050934, "end": 5122973}, {"filename": "/graphics/jue64/CE_num.png", "start": 5122973, "end": 5133042}, {"filename": "/graphics/jue64/solution_request.png", "start": 5133042, "end": 5154915}, {"filename": "/graphics/jue64/anim/mouse.png", "start": 5154915, "end": 5163245}, {"filename": "/graphics/jue64/anim/solut.png", "start": 5163245, "end": 5179808}, {"filename": "/graphics/jue64/anim/pre_mask.png", "start": 5179808, "end": 5200268}, {"filename": "/graphics/jue64/anim/dial.png", "start": 5200268, "end": 5333358}, {"filename": "/graphics/jue64/anim/scoreframe.png", "start": 5333358, "end": 5908514}, {"filename": "/graphics/jue64/anim/pre_mask_puz.png", "start": 5908514, "end": 6005146}, {"filename": "/graphics/jue64/anim/blacklink.png", "start": 6005146, "end": 6005331}, {"filename": "/graphics/jue64/anim/mask_menu.png", "start": 6005331, "end": 6262817}, {"filename": "/graphics/jue64/anim/black_help.png", "start": 6262817, "end": 6262981}, {"filename": "/graphics/jue64/anim/shadright.png", "start": 6262981, "end": 6267023}, {"filename": "/graphics/jue64/anim/cov_line1.png", "start": 6267023, "end": 6267262}, {"filename": "/graphics/jue64/anim/pipegrey.png", "start": 6267262, "end": 6267356}, {"filename": "/graphics/jue64/anim/score_rect.png", "start": 6267356, "end": 6275188}, {"filename": "/graphics/jue64/anim/sco_deco.png", "start": 6275188, "end": 6280322}, {"filename": "/graphics/jue64/anim/englishgerman.png", "start": 6280322, "end": 6288017}, {"filename": "/graphics/jue64/anim/scoresbot.png", "start": 6288017, "end": 6429933}, {"filename": "/graphics/jue64/anim/topten.png", "start": 6429933, "end": 6439820}, {"filename": "/graphics/jue64/anim/visitwebsite.png", "start": 6439820, "end": 6454327}, {"filename": "/graphics/jue64/anim/backbut.png", "start": 6454327, "end": 6459540}, {"filename": "/graphics/jue64/anim/logo22.png", "start": 6459540, "end": 6491645}, {"filename": "/graphics/jue64/anim/pre_anim.png", "start": 6491645, "end": 6916684}, {"filename": "/graphics/jue64/anim/cov_scroll.png", "start": 6916684, "end": 6916925}, {"filename": "/graphics/jue64/anim/solution_request.png", "start": 6916925, "end": 6939308}, {"filename": "/graphics/jue64/menu/lab.png", "start": 6939308, "end": 6976001}, {"filename": "/graphics/jue64/menu/main.png", "start": 6976001, "end": 7585448}, {"filename": "/graphics/jue64/menu/font_ed2.png", "start": 7585448, "end": 7622023}, {"filename": "/graphics/jue64/menu/font_1628.png", "start": 7622023, "end": 7761260}, {"filename": "/graphics/jue64/menu/ed_gfx.png", "start": 7761260, "end": 7804108}, {"filename": "/graphics/jue64/menu/panglas.png", "start": 7804108, "end": 7809926}, {"filename": "/graphics/jue64/menu/fontenv.png", "start": 7809926, "end": 7817039}, {"filename": "/graphics/jue64/menu/gk_1628.png", "start": 7817039, "end": 7833470}, {"filename": "/graphics/jue64/menu/border_m.png", "start": 7833470, "end": 7847663}, {"filename": "/graphics/jue64/menu/backpal.png", "start": 7847663, "end": 7887211}, {"filename": "/graphics/jue64/menu/backrequest.png", "start": 7887211, "end": 7887736}, {"filename": "/graphics/jue64/menu/back_ed.png", "start": 7887736, "end": 7887876}, {"filename": "/graphics/jue64/menu/tapebut.png", "start": 7887876, "end": 7914761}, {"filename": "/graphics/jue64/menu/fontreq.png", "start": 7914761, "end": 7926238}, {"filename": "/graphics/jue64/menu/loadsave.png", "start": 7926238, "end": 7964924}, {"filename": "/graphics/jue64/menu/yesnook.png", "start": 7964924, "end": 7972964}, {"filename": "/graphics/jue64/menu/pipegrey.png", "start": 7972964, "end": 7973067}, {"filename": "/graphics/jue64/menu/font_b.png", "start": 7973067, "end": 8128460}, {"filename": "/graphics/jue64/menu/backtool.png", "start": 8128460, "end": 8135425}, {"filename": "/graphics/jue64/menu/font_nothing.png", "start": 8135425, "end": 8135538}, {"filename": "/graphics/jue64/menu/backenv.png", "start": 8135538, "end": 8135660}, {"filename": "/graphics/jue64/menu/scoreinfoplay.png", "start": 8135660, "end": 8139366}, {"filename": "/graphics/jue64/menu/pandelay.png", "start": 8139366, "end": 8155001}, {"filename": "/graphics/jue64/menu/gk_1628r.png", "start": 8155001, "end": 8171434}, {"filename": "/graphics/jue64/menu/buttype.png", "start": 8171434, "end": 8246357}, {"filename": "/graphics/jue64/menu/rndjuebusy.png", "start": 8246357, "end": 8248242}, {"filename": "/graphics/jue64/menu/gk_1628g.png", "start": 8248242, "end": 8264675}, {"filename": "/graphics/jue64/menu/backpipe.png", "start": 8264675, "end": 8407592}, {"filename": "/graphics/jue64/menu/but.png", "start": 8407592, "end": 8416701}, {"filename": "/graphics/jue64/menu/toolbox.png", "start": 8416701, "end": 8449728}, {"filename": "/graphics/jue64/menu/font_num.png", "start": 8449728, "end": 8534105}, {"filename": "/graphics/jue64/menu/border.png", "start": 8534105, "end": 8589568}, {"filename": "/graphics/jue64/menu/fontm2.png", "start": 8589568, "end": 8606093}, {"filename": "/graphics/jue64/menu/CE_num.png", "start": 8606093, "end": 8616162}, {"filename": "/graphics/jue64/menu/font32.png", "start": 8616162, "end": 8663549}, {"filename": "/sounds/fallback.wav", "start": 8663549, "end": 8663595, "audio": 1}, {"filename": "/music/jue64/musicinfo.conf", "start": 8663595, "end": 8664131}], "remote_package_size": 8664131, "package_uuid": "12cd5501-3a12-43e3-be13-ed50bf2bd5aa"});

  })();
